View Issue Details

IDProjectCategoryView StatusLast Update
15908Bug reportsPluginspublic2020-03-30 00:34
Reporteralexandremiquelin Assigned Toollehar  
PrioritynoneSeveritycrash 
Status resolvedResolutionfixed 
Product Version4.1.6 
Summary15908: No input fields for admin login page after update
Description

After updated to latest 4.1.6+200220 version, I can't login anymore.

The admin login page are missing the user and password input fields...

Already tried to revert to previous version (that was working perfectly), but no success...

Tried another browser, clear cache and cookies, but input's still missing...

*** ALREADY SOLVED, SEE ADDTIONAL INFORMATION!

Related to: https://www.limesurvey.org/forum/installation-a-update-issues/120303-no-input-fields-for-admin-login-page-after-latest-update-4-1-6

Additional Information

While searching for 'auth' at the database, I found that row:

lime_plugins - Authdb - load_error: 1 - load_error_message:

"Class 'AuthPluginBase' not found /home/****/public_html/avalie/application/core/plugins/Authdb/Authdb.php"

I changed the column "load_error" from 1 to 0 and the input fields are now working!!!

for those who have that problem, this should solve:

UPDATE lime_plugins SET load_error = '0' WHERE lime_plugins.id = 1;

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.6+200220
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.7.29
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3

Activities

alexandremiquelin

alexandremiquelin

2020-02-24 13:25

reporter  

inputs.png (16,859 bytes)   
inputs.png (16,859 bytes)   
DenisChenu

DenisChenu

2020-02-24 14:55

developer   ~56165

@ollehar : AuthDB can not be deactivated :) (and must find why it was deactivated)

ollehar

ollehar

2020-02-24 16:05

administrator   ~56171

Sounds like the page was reloaded in the middle of the update, and the correct file could not be found.

ollehar

ollehar

2020-02-24 16:05

administrator   ~56172

Which version did you update FROM?

alexandremiquelin

alexandremiquelin

2020-02-24 17:40

reporter   ~56189

@DenisChenu I also think that was the problem! Someone tried to login in the middle of the update....

@ollehar Which version did you update FROM?
R: From 4.1.5 (build 200217)

Niazai

Niazai

2020-03-03 17:34

reporter   ~56289

I have a similar issue with 4.1.5 , while the fix you mentioned in the additional information doesn't work with me as load_error is already set to 0
although I have "Unknown error - error_get_last() returned null" under load_error_message against "Authdb" , "ExportR" and "ExportSTATAxml" .

LS was a fresh install and it seemed to work out fine and it broke abruptly as in I did not install any plugin/extension nor It happened that I saved some global setting and it broke down.

As of now the install seems unusable as I can not log in

cpsrvd 11.82.0.15
Database client version: libmysql - 5.6.43
PHP extension: mysqli curl mbstring
PHP version: 7.2.7

ollehar

ollehar

2020-03-03 17:47

administrator   ~56290

@Niazai Can you give us a screenshot? Can you set debug = 2 in application/config/config.php?

Niazai

Niazai

2020-03-03 18:38

reporter   ~56291

with debug'=>2, and 'debugsql'=>0, //

Niazai

Niazai

2020-03-03 21:36

reporter   ~56292

image attached on previous note doesnt seem to get attached , doing the screenshot here

LimeSurvey.png (22,079 bytes)   
LimeSurvey.png (22,079 bytes)   
ollehar

ollehar

2020-03-04 10:16

administrator   ~56293

Hm. Can you also give us a dump of your plugins table, e.g. SELECT * FROM lime_plugins, and paste it here (if lime_ is your prefix).

ollehar

ollehar

2020-03-04 12:01

administrator   ~56295

@ollehar : AuthDB can not be deactivated :) (and must find why it was deactivated)

Is this always true, though? What if you want another login method? How about adding a new column ignore_load_error for plugins that are always loaded?

Niazai

Niazai

2020-03-04 20:00

reporter   ~56301

attaching lime_plugins dump as screenshot :

image.png (39,691 bytes)   
image.png (39,691 bytes)   
ollehar

ollehar

2020-03-12 12:48

administrator   ~56426

But what if there really IS a syntax error in Authdb and SAML should be used as login instead?

ollehar1

ollehar1

2020-03-12 13:39

reporter   ~56427

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29691

DenisChenu

DenisChenu

2020-03-12 14:08

developer   ~56428

@ollehar : Currently AuthDB is the plugin for

  • AuthDB
  • XSLSExport
  • CSVEXprt
  • All core export
  • Maybe other core part.

I'm to separate AuthDB in a lot of plugin , but this take time

lime_release_bot

lime_release_bot

2020-03-16 13:23

administrator   ~56569

Fixed in Release 4.1.11+200316

JHoeck

JHoeck

2020-03-20 12:30

developer   ~56696

Its working.

Related Changesets

LimeSurvey: master ac4e0ac8

2020-03-12 13:39:04

ollehar1

Details Diff
Fixed issue 15908: No input fields for admin login page after update Affected Issues
15908
mod - application/libraries/PluginManager/PluginManager.php Diff File

Issue History

Date Modified Username Field Change
2020-02-24 13:25 alexandremiquelin New Issue
2020-02-24 13:25 alexandremiquelin File Added: inputs.png
2020-02-24 14:54 DenisChenu Assigned To => ollehar
2020-02-24 14:54 DenisChenu Status new => assigned
2020-02-24 14:55 DenisChenu Note Added: 56165
2020-02-24 16:05 ollehar Note Added: 56171
2020-02-24 16:05 ollehar Note Added: 56172
2020-02-24 17:40 alexandremiquelin Note Added: 56189
2020-03-03 17:34 Niazai Note Added: 56289
2020-03-03 17:47 ollehar Note Added: 56290
2020-03-03 18:38 Niazai Note Added: 56291
2020-03-03 21:36 Niazai File Added: LimeSurvey.png
2020-03-03 21:36 Niazai Note Added: 56292
2020-03-04 10:16 ollehar Note Added: 56293
2020-03-04 12:01 ollehar Note Added: 56295
2020-03-04 20:00 Niazai File Added: image.png
2020-03-04 20:00 Niazai Note Added: 56301
2020-03-12 12:48 ollehar Note Added: 56426
2020-03-12 13:39 ollehar1 Changeset attached => LimeSurvey master ac4e0ac8
2020-03-12 13:39 ollehar1 Note Added: 56427
2020-03-12 13:48 ollehar Status assigned => resolved
2020-03-12 13:48 ollehar Resolution open => fixed
2020-03-12 14:08 DenisChenu Note Added: 56428
2020-03-16 13:23 lime_release_bot Note Added: 56569
2020-03-16 13:23 lime_release_bot Status resolved => closed
2020-03-20 12:30 JHoeck Status closed => resolved
2020-03-20 12:30 JHoeck Note Added: 56696